"""remove watchlist hash table

Revision ID: dfb3d042b1c9
Revises: c35eef54382e
Create Date: 2019-02-27 09:33:57.370451

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "dfb3d042b1c9"
down_revision = "c35eef54382e"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("watchlist_augmentation_hashes")
    # ### end Alembic commands ###


def downgrade():  # pragma: no cover
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "watchlist_augmentation_hashes",
        sa.Column("watchlist_id", sa.VARCHAR(), autoincrement=False, nullable=False),
        sa.Column("hash", sa.VARCHAR(), autoincrement=False, nullable=False),
        sa.Column(
            "timestamp",
            postgresql.TIMESTAMP(timezone=True),
            autoincrement=False,
            nullable=True,
        ),
        sa.ForeignKeyConstraint(
            ["watchlist_id"],
            ["watchlists.id"],
            name="watchlist_augmentation_hashes_watchlist_id_fkey",
            ondelete="CASCADE",
        ),
        sa.PrimaryKeyConstraint(
            "watchlist_id", name="watchlist_augmentation_hashes_pkey"
        ),
    )
    # ### end Alembic commands ###
