from typing import Any


class MemCache(object):
    _instance = None
    _memstore = dict()

    def __new__(cls):
        if cls._instance is None:
            cls._instance = super(MemCache, cls).__new__(cls)

        return cls._instance

    def set(self, k: Any, v: Any):
        self._memstore[k] = v

    def get(self, k: Any) -> Any:
        return self._memstore.get(k)
