import os

from aiohttp_swagger import setup_swagger


def swagger_setup(app, title, **kwargs):
    template = os.path.join(os.path.dirname(os.path.abspath(__file__)), "swagger.yaml")
    setup_swagger(
        app,
        description=f"{title} Definition",
        title=title,
        ui_version=3,
        swagger_template_path=template,
        **kwargs,
    )


def build_definitions(models_module):
    definitions = {}
    for name in list(models_module.__dict__.keys()):
        cls = getattr(models_module, name)
        if isinstance(cls, type) and hasattr(cls, "swagger_definition"):
            definitions[name] = cls.swagger_definition()

    return definitions
